Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 435712 - Sniff fails to start after install - no fonts found
Sniff fails to start after install - no fonts found
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dogtail (Show other bugs)
5.2
All Linux
low Severity low
: beta
: ---
Assigned To: Jaroslav Reznik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 09:43 EST by Alexander Todorov
Modified: 2010-12-16 10:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-16 10:07:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2008-03-03 09:43:27 EST
Description of problem:

# sniff
Creating logfile at /tmp/dogtail/logs/sniff_20080303-093625_debug ...
No fonts found; this probably means that the fontconfig
library is not correctly configured. You may need to
edit the fonts.conf configuration file. More information
about fontconfig can be found in the fontconfig(3) manual
page and on http://fontconfig.org


Version-Release number of selected component (if applicable):
dogtail-0.6.1-2.el5

How reproducible:
100%

Steps to Reproduce:
1. Install a system. My kickstart packages section has:
@development-tools
@development-libs
libxml2-python
ntp
expect
pyOpenSSL
emacs
vim-enhanced
2. install and start vnc server
3. run sniff on the vnc server display
  
Actual results:
No fonts found. Application exits.

Expected results:
Application runs.

Additional info:
Installed font packages:

libXfont-1.2.2-1.0.3.el5_1
xorg-x11-font-utils-7.1-2
fontconfig-2.4.1-7.el5
fontconfig-2.4.1-7.el5
chkfontpath-1.10.1-1.1
xorg-x11-fonts-base-7.1-2.1.el5
libfontenc-1.0.2-2.2.el5
libXfontcache-1.0.2-3.1
xorg-x11-fonts-ISO8859-1-75dpi-7.1-2.1.el5
Comment 2 Alexander Todorov 2008-03-03 09:46:35 EST
After installing gedit it pulls up other dependencies and the error doesn't
happen anymore.

Installing:
 gedit
Installing for dependencies:
 docbook-dtds
 ghostscript
 ghostscript-fonts
 gnome-python2-desktop
 gnome-python2-gnomeprint
 gnome-python2-gtksourceview
 gtksourceview
 libgnomecups
 libgnomeprint22
 libgnomeprintui22
 openjade
 opensp
 scrollkeeper
 sgml-common
 urw-fonts
 xml-common
Comment 4 Alexander Todorov 2008-03-03 09:57:32 EST
Additional info:
There are 3 separate bugs that go in the order:
this bug, bug #435714, bug #435702
Comment 5 Zack Cerza 2008-03-03 11:01:12 EST
OK, that's really strange. I don't even know which package might have made the
difference there.
Comment 6 Alexander Todorov 2008-03-03 11:15:13 EST
From strace which is not included here I think that it is trying to find fonts
in several directories, last of them being ~/.fonts. These probably do not exist
(at least .fonts) and the application just exits.

Follow the steps to reproduce and then strace sniff. Any other ideas how we can
debug this?
Comment 7 Zack Cerza 2008-03-03 11:54:11 EST
On my Client install, sniff starts just fine. Then again, I have GNOME installed...
Comment 8 Alexander Todorov 2008-03-03 12:08:43 EST
Zack, please try installing using a kickstart file containing

%packages --ignoremissing
@development-tools
@development-libs
libxml2-python
ntp
expect
pyOpenSSL
emacs
vim-enhanced
Comment 10 RHEL Product and Program Management 2008-07-21 19:05:39 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Note You need to log in before you can comment on or make changes to this bug.